Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593038 - Loading of network card modules does not take care of modprobe.conf
Summary: Loading of network card modules does not take care of modprobe.conf
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: module-init-tools
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: David Shea
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-17 17:12 UTC by Oguz Yilmaz
Modified: 2014-02-04 14:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-04 12:05:50 UTC
Target Upstream Version:


Attachments (Terms of Use)
lsinitrd output (deleted)
2010-05-21 10:48 UTC, Oguz Yilmaz
no flags Details

Description Oguz Yilmaz 2010-05-17 17:12:12 UTC
Description of problem:

I have a modprobe.conf as below:

alias eth0 sundance
alias eth2 r8169
alias eth1 sundance
alias eth3 sundance
alias eth4 sundance
install sundance setpci -s 05:00.0 3e.b=00; /sbin/modprobe --ignore-install sundance

When the RH EL5.4 starts up, it does not take care of "install sundance..." line. There is bug in some BIOS and I have to add install line. However, after startup, the bug continues. 

If I rmmod sundance and then modprobe sundance, Then it takes "install ... " line into account.


Version-Release number of selected component (if applicable):

initscripts-8.45.19


How reproducible:

Install RH EL.5.4 and add and install... param to modprobe.conf

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Only loads sundance driver without any parameters

Expected results:

Should take install line into account and install modules with pthe parameters given.


Additional info:

I have encountered with the bug while appliying workaround for another bug (https://bugzilla.redhat.com/show_bug.cgi?id=453058)

Comment 1 Harald Hoyer 2010-05-19 05:29:23 UTC
what's the output of "lsinitrd" ?

Comment 2 Oguz Yilmaz 2010-05-21 10:48:07 UTC
Created attachment 415644 [details]
lsinitrd output

Comment 3 Harald Hoyer 2014-01-31 11:32:42 UTC
udev uses modprobe to load modules, so this might be a bug in module-init-tools.

Comment 4 David Shea 2014-02-04 12:05:50 UTC
The PATH environment variable is not set when udev sets up the network device. Use /sbin/setpci in modprobe.conf.


Note You need to log in before you can comment on or make changes to this bug.